Member (Apache Geode 1.14.2)
Date: 2021-12-14

org.apache.geode.management.configuration

## Class Member

- java.lang.Object
- - org.apache.geode.management.configuration.AbstractConfiguration<R>
  - - org.apache.geode.management.configuration.GroupableConfiguration<MemberInformation>
    - - org.apache.geode.management.configuration.Member

- All Implemented Interfaces:
    Serializable, Identifiable<String>, JsonSerializable

      @Experimental
      public class Member
      extends GroupableConfiguration<MemberInformation>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MEMBER_ENDPOINT`

    - ### Fields inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `CLUSTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Member()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Returns the value set by `setId(String)`.
    `Links` | `getLinks()` for internal usage only
    `void` | `setId(String id)`

    - ### Methods inherited from class org.apache.geode.management.configuration.GroupableConfiguration

      `equals, getGroup, hashCode, setGroup`

    - ### Methods inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `getCreationCommandType, getGroupName, isCluster, isGlobalRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `exists, find, remove`

- - ### Field Detail

    - #### MEMBER_ENDPOINT

          public static final String MEMBER_ENDPOINT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Member

          public Member()

  - ### Method Detail

    - #### setId

          public void setId(String id)

    - #### getId

          public String getId()

      Returns the value set by `setId(String)`.
      Specified by:
        `getId` in interface `Identifiable<String>`
      Specified by:
        `getId` in class `AbstractConfiguration<MemberInformation>`
      Returns:
        an identifier uniquely identifying this Object.

    - #### getLinks

          public Links getLinks()

      Description copied from class: `AbstractConfiguration`
      for internal usage only
      Specified by:
        `getLinks` in class `AbstractConfiguration<MemberInformation>`